<manifest xmlns:android="http://schemas.android.com/apk/res/android">

    <!-- use Camera permission -->
     <uses-permission android:name="android.permission.CAMERA" />

    <!-- use Microphone permission -->
     <uses-permission android:name="android.permission.RECORD_VIDEO" />
     <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <!-- use Storage permission -->
     <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
     <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <!-- use Call permission -->
     <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <!-- use Storage for Photos and videos (Android 13) permission -->
     <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
     <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
     <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" />

    <!-- use Bluetooth permission -->
     <uses-permission android:name="android.permission.BLUETOOTH" />

    <!-- use change ringtone call and message permission -->
     <uses-permission android:name="android.permission.WRITE_SETTINGS" />
    <!-- <uses-permission android:name="com.oppo.launcher.permission.READ_SETTINGS" /> -->

    <uses-permission android:name="android.permission.INTERNET" />

    <!-- use SMS permission -->
    <uses-permission android:name="android.permission.RECEIVE_SMS" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.WRITE_SMS" />

    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.QUERY_ALL_PACKAGES" />
    
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.INTERNET" />

    <application
      android:name=".MainApplication"
      android:label="@string/app_name"
      android:icon="@mipmap/ic_launcher"
      android:roundIcon="@mipmap/ic_launcher_round"
      android:allowBackup="false"
      android:theme="@style/AppTheme">
      <activity
        android:name=".MainActivity"
        android:label="@string/app_name"
        android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|screenSize|smallestScreenSize|uiMode"
        android:launchMode="singleTask"
        android:windowSoftInputMode="adjustResize"
        android:exported="true">
        <intent-filter>
            <action android:name="android.intent.action.MAIN" />
            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
      </activity>
    </application>
</manifest>
